# OnpointsApi

All URIs are relative to *https://hrrrvertforecast.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**onpointsOnpointIdHeightHeightQuarterhoursGet**](OnpointsApi.md#onpointsOnpointIdHeightHeightQuarterhoursGet) | **GET** /onpoints/{onpointId}/height/{height}/quarterhours | The complete vertically interpolated quarterhourly HRRR forecast for an OnPoint™ point.
[**onpointsOnpointIdHeightHeightQuarterhoursTimestampGet**](OnpointsApi.md#onpointsOnpointIdHeightHeightQuarterhoursTimestampGet) | **GET** /onpoints/{onpointId}/height/{height}/quarterhours/{timestamp} | A quarterhour of vertically interpolated HRRR forecast data for an OnPoint™ point.
[**onpointsOnpointIdHeightHeightQuarterhoursTimestampStarttimestampEndGet**](OnpointsApi.md#onpointsOnpointIdHeightHeightQuarterhoursTimestampStarttimestampEndGet) | **GET** /onpoints/{onpointId}/height/{height}/quarterhours/{timestampStart},{timestampEnd} | A contiguous range of vertically interpolated quarterhourly HRRR forecast data for an OnPoint™ point.

<a name="onpointsOnpointIdHeightHeightQuarterhoursGet"></a>
# **onpointsOnpointIdHeightHeightQuarterhoursGet**
> HrrrForecastOnpointHourObj onpointsOnpointIdHeightHeightQuarterhoursGet(onpointId, fields, height, unitScale)

The complete vertically interpolated quarterhourly HRRR forecast for an OnPoint™ point.

Returns the complete set of vertically interpolated HRRR forecast data for an OnPoint™ point.  *Alternatively using a query that specificies just the hours required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = OnpointsApi()
val onpointId : kotlin.Int = 56 // kotlin.Int | An OnPoint™ ID.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val height : java.math.BigDecimal = 1.2 // java.math.BigDecimal | The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type.
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : HrrrForecastOnpointHourObj = apiInstance.onpointsOnpointIdHeightHeightQuarterhoursGet(onpointId, fields, height, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnpointsApi#onpointsOnpointIdHeightHeightQuarterhoursGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnpointsApi#onpointsOnpointIdHeightHeightQuarterhoursGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **kotlin.Int**| An OnPoint™ ID. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, temp, wetBulb, dewPt, feelsLike, windChill, heatIndex, relHum, spcHum, pres, mslPres, windSpd, windDir, precip, snowfall, snowfallKuchera, cldCvr, radSolar, radSolarDirect, cin, cape, hailSize, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **height** | **java.math.BigDecimal**| The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type. |
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**HrrrForecastOnpointHourObj**](HrrrForecastOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="onpointsOnpointIdHeightHeightQuarterhoursTimestampGet"></a>
# **onpointsOnpointIdHeightHeightQuarterhoursTimestampGet**
> HrrrForecastOnpointHourObj onpointsOnpointIdHeightHeightQuarterhoursTimestampGet(onpointId, timestamp, fields, height, unitScale)

A quarterhour of vertically interpolated HRRR forecast data for an OnPoint™ point.

Returns a single quarterhour of vertically interpolated HRRR forecast data for an OnPoint™ point. The provided timestamp must exist within the current valid 18 hour forecast range.  **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = OnpointsApi()
val onpointId : kotlin.Int = 56 // kotlin.Int | An OnPoint™ ID.
val timestamp : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value. The UTC offset is required.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val height : java.math.BigDecimal = 1.2 // java.math.BigDecimal | The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type.
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : HrrrForecastOnpointHourObj = apiInstance.onpointsOnpointIdHeightHeightQuarterhoursTimestampGet(onpointId, timestamp, fields, height, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnpointsApi#onpointsOnpointIdHeightHeightQuarterhoursTimestampGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnpointsApi#onpointsOnpointIdHeightHeightQuarterhoursTimestampGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **kotlin.Int**| An OnPoint™ ID. |
 **timestamp** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, temp, wetBulb, dewPt, feelsLike, windChill, heatIndex, relHum, spcHum, pres, mslPres, windSpd, windDir, precip, snowfall, snowfallKuchera, cldCvr, radSolar, radSolarDirect, cin, cape, hailSize, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **height** | **java.math.BigDecimal**| The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type. |
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**HrrrForecastOnpointHourObj**](HrrrForecastOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="onpointsOnpointIdHeightHeightQuarterhoursTimestampStarttimestampEndGet"></a>
# **onpointsOnpointIdHeightHeightQuarterhoursTimestampStarttimestampEndGet**
> HrrrForecastOnpointHourObj onpointsOnpointIdHeightHeightQuarterhoursTimestampStarttimestampEndGet(onpointId, timestampStart, timestampEnd, fields, height, unitScale)

A contiguous range of vertically interpolated quarterhourly HRRR forecast data for an OnPoint™ point.

Returns a contiguous range of vertically interpolated quarterhourly HRRR forecast data for an OnPoint™ point. The provided timestamps must exist within the current valid 18 hour forecast range.  **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = OnpointsApi()
val onpointId : kotlin.Int = 56 // kotlin.Int | An OnPoint™ ID.
val timestampStart : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required.
val timestampEnd : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val height : java.math.BigDecimal = 1.2 // java.math.BigDecimal | The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type.
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : HrrrForecastOnpointHourObj = apiInstance.onpointsOnpointIdHeightHeightQuarterhoursTimestampStarttimestampEndGet(onpointId, timestampStart, timestampEnd, fields, height, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnpointsApi#onpointsOnpointIdHeightHeightQuarterhoursTimestampStarttimestampEndGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnpointsApi#onpointsOnpointIdHeightHeightQuarterhoursTimestampStarttimestampEndGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **kotlin.Int**| An OnPoint™ ID. |
 **timestampStart** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. |
 **timestampEnd** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, temp, wetBulb, dewPt, feelsLike, windChill, heatIndex, relHum, spcHum, pres, mslPres, windSpd, windDir, precip, snowfall, snowfallKuchera, cldCvr, radSolar, radSolarDirect, cin, cape, hailSize, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **height** | **java.math.BigDecimal**| The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type. |
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**HrrrForecastOnpointHourObj**](HrrrForecastOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

