# PointsApi

All URIs are relative to *https://hrrrvertforecast.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**pointsLatitudelongitudeHeightHeightQuarterhoursGet**](PointsApi.md#pointsLatitudelongitudeHeightHeightQuarterhoursGet) | **GET** /points/{latitude},{longitude}/height/{height}/quarterhours | The complete vertically interpolated quarterhourly HRRR forecast for a Latitude/Longitude point.
[**pointsLatitudelongitudeHeightHeightQuarterhoursTimestampGet**](PointsApi.md#pointsLatitudelongitudeHeightHeightQuarterhoursTimestampGet) | **GET** /points/{latitude},{longitude}/height/{height}/quarterhours/{timestamp} | A quarterhour of vertically interpolated HRRR forecast data for a Latitude/Longitude point.
[**pointsLatitudelongitudeHeightHeightQuarterhoursTimestampStarttimestampEndGet**](PointsApi.md#pointsLatitudelongitudeHeightHeightQuarterhoursTimestampStarttimestampEndGet) | **GET** /points/{latitude},{longitude}/height/{height}/quarterhours/{timestampStart},{timestampEnd} | A contiguous range of vertically interpolated quarterhourly HRRR forecast data for a Latitude/Longitude point.

<a name="pointsLatitudelongitudeHeightHeightQuarterhoursGet"></a>
# **pointsLatitudelongitudeHeightHeightQuarterhoursGet**
> HrrrForecastPointHourObj pointsLatitudelongitudeHeightHeightQuarterhoursGet(latitude, longitude, height, fields, unitScale)

The complete vertically interpolated quarterhourly HRRR forecast for a Latitude/Longitude point.

Returns the complete vertically interpolated set of HRRR forecast data for a Latitude/Longitude point.  *Alternatively using a query that specificies just the quarterhours required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val height : java.math.BigDecimal = 1.2 // java.math.BigDecimal | The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : HrrrForecastPointHourObj = apiInstance.pointsLatitudelongitudeHeightHeightQuarterhoursGet(latitude, longitude, height, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHeightHeightQuarterhoursGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHeightHeightQuarterhoursGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **height** | **java.math.BigDecimal**| The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, temp, wetBulb, dewPt, feelsLike, windChill, heatIndex, relHum, spcHum, pres, mslPres, windSpd, windDir, precip, snowfall, snowfallKuchera, cldCvr, radSolar, radSolarDirect, cin, cape, hailSize, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**HrrrForecastPointHourObj**](HrrrForecastPointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHeightHeightQuarterhoursTimestampGet"></a>
# **pointsLatitudelongitudeHeightHeightQuarterhoursTimestampGet**
> HrrrForecastPointHourObj pointsLatitudelongitudeHeightHeightQuarterhoursTimestampGet(latitude, longitude, timestamp, height, fields, unitScale)

A quarterhour of vertically interpolated HRRR forecast data for a Latitude/Longitude point.

Returns a single quarterhour of vertically interpolated HRRR forecast data for a Latitude/Longitude point. The provided timestamp must exist within the current valid 18 hour forecast range.  **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val timestamp : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value. The UTC offset is required.
val height : java.math.BigDecimal = 1.2 // java.math.BigDecimal | The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : HrrrForecastPointHourObj = apiInstance.pointsLatitudelongitudeHeightHeightQuarterhoursTimestampGet(latitude, longitude, timestamp, height, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHeightHeightQuarterhoursTimestampGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHeightHeightQuarterhoursTimestampGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **timestamp** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. |
 **height** | **java.math.BigDecimal**| The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, temp, wetBulb, dewPt, feelsLike, windChill, heatIndex, relHum, spcHum, pres, mslPres, windSpd, windDir, precip, snowfall, snowfallKuchera, cldCvr, radSolar, radSolarDirect, cin, cape, hailSize, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**HrrrForecastPointHourObj**](HrrrForecastPointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHeightHeightQuarterhoursTimestampStarttimestampEndGet"></a>
# **pointsLatitudelongitudeHeightHeightQuarterhoursTimestampStarttimestampEndGet**
> HrrrForecastPointHourObj pointsLatitudelongitudeHeightHeightQuarterhoursTimestampStarttimestampEndGet(latitude, longitude, timestampStart, timestampEnd, height, fields, unitScale)

A contiguous range of vertically interpolated quarterhourly HRRR forecast data for a Latitude/Longitude point.

Returns a contiguous range of vertically interpolated quarterhourly HRRR forecast data for a Latitude/Longitude point. The provided timestamps must exist within the current valid 18 hour forecast range.  **IMPORTANT:** To authenticate to the Weather Source HRRR Forecast API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val timestampStart : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required.
val timestampEnd : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required.
val height : java.math.BigDecimal = 1.2 // java.math.BigDecimal | The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : HrrrForecastPointHourObj = apiInstance.pointsLatitudelongitudeHeightHeightQuarterhoursTimestampStarttimestampEndGet(latitude, longitude, timestampStart, timestampEnd, height, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHeightHeightQuarterhoursTimestampStarttimestampEndGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHeightHeightQuarterhoursTimestampStarttimestampEndGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **timestampStart** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. |
 **timestampEnd** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. |
 **height** | **java.math.BigDecimal**| The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall, snowfallKuchera, hailSize)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, temp, wetBulb, dewPt, feelsLike, windChill, heatIndex, relHum, spcHum, pres, mslPres, windSpd, windDir, precip, snowfall, snowfallKuchera, cldCvr, radSolar, radSolarDirect, cin, cape, hailSize, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**HrrrForecastPointHourObj**](HrrrForecastPointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

