/**
 * HRRR Vert Forecast - A Weather Source API
 * Quarterhourly vertically interpolated forecast data from the HRRR model for latitude/longitude points and Onpoint IDs. Quarterhourly forecast goes out 18 hours and is available in 15 minute increments. The Weather Source HRRR Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis.    **IMPORTANT:** To authenticate to the Weather Source HRRR Vert Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page.   
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.Cape
import io.swagger.client.models.Cin
import io.swagger.client.models.CldCvr
import io.swagger.client.models.DewPt
import io.swagger.client.models.FeelsLike
import io.swagger.client.models.HailSize
import io.swagger.client.models.HeatIndex
import io.swagger.client.models.MslPres
import io.swagger.client.models.Precip
import io.swagger.client.models.Pres
import io.swagger.client.models.RadSolar
import io.swagger.client.models.RadSolarDirect
import io.swagger.client.models.RelHum
import io.swagger.client.models.Snowfall
import io.swagger.client.models.SnowfallKuchera
import io.swagger.client.models.SpcHum
import io.swagger.client.models.Temp
import io.swagger.client.models.TimestampInit
import io.swagger.client.models.WetBulb
import io.swagger.client.models.WindChill
import io.swagger.client.models.WindDir
import io.swagger.client.models.WindSpd
import java.sql.Timestamp

/**
 * An hourly weather HRRR forecast object.
 * @param timestamp 
 * @param timestampInit 
 * @param temp 
 * @param wetBulb 
 * @param dewPt 
 * @param feelsLike 
 * @param windChill 
 * @param heatIndex 
 * @param relHum 
 * @param spcHum 
 * @param pres 
 * @param mslPres 
 * @param windSpd 
 * @param windDir 
 * @param precip 
 * @param snowfall 
 * @param snowfallKuchera 
 * @param cldCvr 
 * @param radSolar 
 * @param radSolarDirect 
 * @param cin 
 * @param cape 
 * @param hailSize 
 */
data class HrrrForecastHourObj (

    val timestamp: Timestamp,
    val timestampInit: TimestampInit? = null,
    val temp: Temp? = null,
    val wetBulb: WetBulb? = null,
    val dewPt: DewPt? = null,
    val feelsLike: FeelsLike? = null,
    val windChill: WindChill? = null,
    val heatIndex: HeatIndex? = null,
    val relHum: RelHum? = null,
    val spcHum: SpcHum? = null,
    val pres: Pres? = null,
    val mslPres: MslPres? = null,
    val windSpd: WindSpd? = null,
    val windDir: WindDir? = null,
    val precip: Precip? = null,
    val snowfall: Snowfall? = null,
    val snowfallKuchera: SnowfallKuchera? = null,
    val cldCvr: CldCvr? = null,
    val radSolar: RadSolar? = null,
    val radSolarDirect: RadSolarDirect? = null,
    val cin: Cin? = null,
    val cape: Cape? = null,
    val hailSize: HailSize? = null
) {
}