/**
 * HRRR Vert Forecast - A Weather Source API
 * Quarterhourly vertically interpolated forecast data from the HRRR model for latitude/longitude points and Onpoint IDs. Quarterhourly forecast goes out 18 hours and is available in 15 minute increments. The Weather Source HRRR Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis.    **IMPORTANT:** To authenticate to the Weather Source HRRR Vert Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page.   
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.CountryCode
import io.swagger.client.models.CountryName
import io.swagger.client.models.Elevation
import io.swagger.client.models.Grid
import io.swagger.client.models.Latitude
import io.swagger.client.models.Longitude
import io.swagger.client.models.OnpointId
import io.swagger.client.models.SubdivCode
import io.swagger.client.models.SubdivName
import io.swagger.client.models.Timezone

/**
 * An OnPoint™ point location metadata object
 * @param onpointId 
 * @param latitude 
 * @param longitude 
 * @param timezone 
 * @param countryCode 
 * @param countryName 
 * @param subdivCode 
 * @param subdivName 
 * @param grid 
 * @param elevation 
 */
data class OnpointObj (

    val onpointId: OnpointId,
    val latitude: Latitude,
    val longitude: Longitude,
    val timezone: Timezone,
    val countryCode: CountryCode? = null,
    val countryName: CountryName? = null,
    val subdivCode: SubdivCode? = null,
    val subdivName: SubdivName? = null,
    val grid: Grid,
    val elevation: Elevation
) {
}